[arch-commits] Commit in mongodb/trunk (PKGBUILD)

Felix Yan felixonmars at archlinux.org
Mon Dec 25 04:17:36 UTC 2017


    Date: Monday, December 25, 2017 @ 04:17:35
  Author: felixonmars
Revision: 275903

upgpkg: mongodb 3.6.0-1

Modified:
  mongodb/trunk/PKGBUILD

----------+
 PKGBUILD |   41 ++++++++++++-----------------------------
 1 file changed, 12 insertions(+), 29 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2017-12-25 01:26:29 UTC (rev 275902)
+++ PKGBUILD	2017-12-25 04:17:35 UTC (rev 275903)
@@ -6,7 +6,7 @@
 # Contributor: Alec Thomas
 
 pkgname=mongodb
-pkgver=3.4.9
+pkgver=3.6.0
 pkgrel=1
 pkgdesc='A high-performance, open source, schema-free document-oriented database'
 arch=('x86_64')
@@ -14,7 +14,8 @@
 license=('AGPL3')
 depends=('pcre' 'snappy' 'openssl' 'libsasl' 'boost-libs' 'yaml-cpp' 'lsb-release' 'wiredtiger'
          'libstemmer')
-makedepends=('scons' 'readline' 'ncurses' 'libpcap' 'boost')
+makedepends=('scons' 'readline' 'ncurses' 'libpcap' 'boost' 'python2-setuptools' 'python2-regex'
+             'python2-cheetah' 'python2-typing' 'python2-requests')
 checkdepends=('python2-pymongo' 'python2-yaml')
 optdepends=('libpcap: needed for mongosniff'
             'mongodb-tools: mongoimport, mongodump, mongotop, etc')
@@ -21,15 +22,10 @@
 backup=('etc/mongodb.conf')
 install=mongodb.install
 source=("http://downloads.mongodb.org/src/mongodb-src-r${pkgver}.tar.gz"
-        'mongodb.conf' 'mongodb.service' 'mongodb-3.2.10-boost-1.62.0.patch'
-        'asio-openssl-1.1.0.patch'
-        'using-std-string.patch')
-sha512sums=('b6803c91e9cda8e6963359386d2014d03f68151f64d580d5baacc3c66b2adabc62ee5c2cf203b9aee7d11942934afc6f9e17364d2f3aafd238ba88d13c77f26d'
+        'mongodb.conf' 'mongodb.service')
+sha512sums=('05fa6f5875f23b7415bb87ed71324f3e7bd2120983b03a8a779b2c386d05f18e3cb9980023304bce8326b71af404b518ceea0fba0b59505ca8aeb657b82ed57f'
             '05dead727d3ea5fe8af1a3c3888693f6b3e2b8cb7f197a5d793352e10d2c524e96c9a5c55ad2e88c1114643a9612ec0b26a2574b48a5260a9b51ec8941461f1c'
-            '177251404b2e818ae2b546fe8b13cb76e348c99e85c7bef22a04b0f07b600fd515a309ede50214f4198594388a6d2b31f46e945b9dae84aabb4dfa13b1123bb9'
-            'd6f014d2778decde268b9e856d812bc61f7c45986aad751e44fdece39aa8a96505b77e0b917ea38880501497e01d4b051a6f3205c82af653425b5247cd813417'
-            'aea8fecb17be07e4517822798810751114f61164dc3ab3e335a7b837876acb918d287caa8b9fe32d7b1d9e7cad2e677d9818a1532ae08b8b013840d2a68b25f5'
-            'f2e1e9b9418701738c7a9b6db4f894dc3c35a6fbbf9ded8321080350ba692c6c8b11d6f507043a5bdae83fe8f9806426c0f33acd94895412369e4776c2358052')
+            '177251404b2e818ae2b546fe8b13cb76e348c99e85c7bef22a04b0f07b600fd515a309ede50214f4198594388a6d2b31f46e945b9dae84aabb4dfa13b1123bb9')
 
 _scons_args=(
   --use-system-boost
@@ -48,19 +44,6 @@
   # --use-system-tcmalloc # Disabled as upstream suggests in https://jira.mongodb.org/browse/SERVER-17447?focusedCommentId=841890&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-841890
 )
 
-prepare() {
-  cd mongodb-src-r${pkgver}
-  patch -Np1 -i ../using-std-string.patch
-  patch -Np1 -i ../mongodb-3.2.10-boost-1.62.0.patch
-
-  sed -e 's|-std=c++11|-std=gnu++11|g' -i SConstruct  # tests use hex floats, not supported in plain C++
-
-  sed -i '/#include "mongo.platform.strnlen.h"/a using namespace std;' src/mongo/bson/bsonelement.h
-
-  cd src/third_party/asio-asio-1-11-0
-  patch -Np1 -i "${srcdir}/asio-openssl-1.1.0.patch"
-}
-
 build() {
   cd mongodb-src-r${pkgver}
   export SCONSFLAGS="$MAKEFLAGS"
@@ -75,16 +58,16 @@
   # Setting LANG to workaround the following test error:
   # std::exception: locale::facet::_S_create_c_locale name not valid
 
-  # 3.4.9: Tests hang
-  # scons unittests "${_scons_args[@]}"
-  # sed -i -e '/oplog_buffer_collection_test/d' build/unittests.txt
-  # LANG=en_US.UTF-8 python2 buildscripts/resmoke.py --suites=unittests
+  # 3.6.0: mlock permission denied
+  scons unittests "${_scons_args[@]}"
+  sed -i -e '/oplog_buffer_collection_test/d' build/unittests.txt
+  LANG=en_US.UTF-8 python2 buildscripts/resmoke.py --suites=unittests || warning "Tests failed"
 
   scons dbtest "${_scons_args[@]}"
   python2 buildscripts/resmoke.py --suites=dbtest
 
-  #scons integration_tests "${_scons_args[@]}"
-  #python2 buildscripts/resmoke.py --suites=integration_tests_replset,integration_tests_standalone --dbpathPrefix="$srcdir"
+  scons integration_tests "${_scons_args[@]}"
+  python2 buildscripts/resmoke.py --suites=integration_tests_replset,integration_tests_standalone --dbpathPrefix="$srcdir"
 }
 
 package() {



More information about the arch-commits mailing list